

/*
 * ir.h
 *
 * /dev/ir codes from the empeg
 *
 * the top 16 bits of each code should be zero
 *
 *
 * By Steve Boyle
 */

/*
 * Front panel buttons
 */

#define IR_TOP_BUTTON_PRESSED		0x00000000
#define IR_TOP_BUTTON_RELEASED		0x00000001
#define IR_RIGHT_BUTTON_PRESSED		0x00000002
#define IR_RIGHT_BUTTON_RELEASED	0x00000003
#define IR_LEFT_BUTTON_PRESSED		0x00000004
#define IR_LEFT_BUTTON_RELEASED		0x00000005
#define IR_BOTTOM_BUTTON_PRESSED	0x00000006
#define IR_BOTTOM_BUTTON_RELEASED	0x00000007
#define IR_X_BUTTON_RELEASED        0x00000001      //LSB set for button releases

/*
 * Kenwood RCA-R6A remote
 */

#define IR_0		0x0000B900
#define IR_1		0x0000B901
#define IR_2		0x0000B902
#define IR_3		0x0000B903
#define IR_4		0x0000B904
#define IR_5		0x0000B905
#define IR_6		0x0000B906
#define IR_7		0x0000B907
#define IR_8		0x0000B908
#define IR_9		0x0000B909
#define IR_TRACK_MINUS	0x0000B90A
#define IR_TRACK_PLUS	0x0000B90B
#define IR_AM		0x0000B90C
#define IR_FM		0x0000B90D
#define IR_PROG		0x0000B90E
#define IR_DIRECT	0x0000B90F
#define IR_VOL_PLUS	0x0000B914
#define IR_VOL_MINUS	0x0000B915
#define IR_STAR		0x0000B91B
#define IR_TUNER	0x0000B91C
#define IR_TAPE		0x0000B91D
#define IR_CD		0x0000B91E
#define IR_CDMDCH	0x0000B91F
#define IR_DNPP		0x0000B95E
